<?php
/*
Plugin Name: Jef Instant Loader
Plugin URI: https://www.jeffer.xyz/jef-instant-page
Description: Boost your website's page loading speed with one click, providing visitors with an instant browsing experience.
Author: Jeffer.Z
Version: 6.0.0
Author URI: https://www.jeffer.xyz/
*/

// 前端加载脚本
add_action('wp_enqueue_scripts', function() {
    wp_enqueue_script('jef-instantpage', plugin_dir_url(__FILE__) . 'instantpage.js', array(), '5.7.0', true);
});

// 修改script标签为module类型
add_filter('script_loader_tag', function($tag, $handle) {
    if ('jef-instantpage' === $handle) {
        $tag = str_replace('<script ', "<script type='module' ", $tag);
    }
    return $tag;
}, 10, 2);
